The problem with installation PyRx

Python Prescription - Virtual Screening Tool

[PyRx is no longer developed at MGL]

Moderator: sargis

Forum rules
[PyRx is no longer developed at MGL]

The problem with installation PyRx

Postby 123321 » Mon Jan 27, 2014 2:57 pm

We have a problem with installation of PyRx with returning error

invalid command name "bind"
while executing
"::unknown bind Text <Tab>"
("uplevel" body line 1)
invoked from within
"uplevel 1 $next $args"
(procedure "::obj::Unknown" line 3)
invoked from within
"bind Text <Tab>"
(procedure "::InstallJammer::InitializeGui" line 19)
invoked from within
"::InstallJammer::InitializeGui "
(procedure "::InstallJammer::InitInstall" line 63)
invoked from within
"::InstallJammer::InitInstall"
(file "/installkitvfs/main.tcl" line 38527)


Operating system Scientific Linux 6.2.

Troubleshooting done so far:
a) installation file PyRx-0.9-Linux-x86-Install was checked for size and complete download
b) system was checked for 32-bit support (glibc.i686 (Scientific Linux)), system returns that the latest 32-bit libraries are installed


Any ideas how to proceed or any confirmations that PyRx-0.9 was successfully installed to Scientific Linux
User avatar
123321
Millimolar User
Millimolar User
 
Posts: 2
Joined: Mon Jan 27, 2014 2:49 pm

Re: The problem with installation PyRx

Postby sargis » Mon Jan 27, 2014 10:49 pm

Thank you for the message. Please try http://sourceforge.net/projects/pyrx/fi ... z/download. I have tested it on 64-bit RHEL and CentOS 6.0.

After the download is complete run:

Code: Select all
tar -xzvf PyRx-0.9-x86-64.tar.gz
./usr/local/PyRx-0.9/run.sh
User avatar
sargis
Picomolar User
Picomolar User
 
Posts: 583
Joined: Fri Oct 17, 2008 10:39 pm

Re: The problem with installation PyRx

Postby 123321 » Wed Jan 29, 2014 8:34 pm

Thank you for you help.

I can now confirm that it works.
User avatar
123321
Millimolar User
Millimolar User
 
Posts: 2
Joined: Mon Jan 27, 2014 2:49 pm

Re: The problem with installation PyRx

Postby harman » Sat Mar 01, 2014 2:09 pm

I ran the commands as mentioned above but am gettting this error
: error while loading shared libraries: libpython2.6.so.1.0: wrong ELF class: ELFCLASS32
User avatar
harman
Millimolar User
Millimolar User
 
Posts: 1
Joined: Sat Mar 01, 2014 2:03 pm


Return to PyRx

Who is online

Users browsing this forum: No registered users and 2 guests

cron